Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7a6ddeb9-8a3b-49dd-84a9-0c0ed871c7f1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "0850a4de-18ba-4d97-9fa9-0a7cc6dd5c54",
"company_code": "sample string 5",
"company": {
"id": "f7e6e978-6e5c-437d-bc9c-46dec0fe19fc",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-06-06T23:51:58.6082507+00:00",
"sales_territory_id": "d3f8106a-c41a-4952-9801-b2fd56bc2f7c",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "081cfc53-d5e4-4ccf-95d7-a7e31e93f082",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "7ab7b6d1-ea6b-46b1-bcad-037ed75654dd",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "d5f35428-631d-464a-8a6d-fa4926fe48d9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "baf5f499-2616-4805-82b6-9f3efb7efa09",
"db_currency_id": "3f2a2848-714c-4b77-98e9-2a263b706654",
"db_language_id": "d5cfc5b2-3747-47e6-ae20-3afaf076d9bf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-06T23:51:58.6082507+00:00"
},
"modified_dateutc": "2026-06-06T23:51:58.6082507+00:00"
},
"marketing_segment_id": "6b75c757-3d7c-4b0b-b8e0-f832f47c6652",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "9ed5b590-54a9-44b8-9a21-b100d302b002",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "b24c869c-1131-4519-9244-c16b887dd390",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "11d5d906-6894-48ee-af78-175d2a3b884f",
"db_country_code": "sample string 28",
"feelist_id": "46fa89f1-05a9-49f6-aeaa-bc8cd81e6999",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "3aa145a9-656a-4c03-be97-96f082debb7a",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "e067c5a2-b1a7-4b90-b250-9edd869f84a4",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-06-06T23:51:58.6082507+00:00",
"db_currency_id": "655c50b4-55fc-4517-9cf8-da614b34c0ac",
"db_currency_code": "sample string 10"
},
"company_type_id": "d70960b7-4b30-4db2-b25a-432f96b39535",
"company_type_name": "sample string 32",
"company_type": {
"id": "5d7cff0d-e7d2-42a7-9600-bdde77a7c737",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5bc54d78-f47f-4294-939b-73b8cb9ceb0e",
"sales_organization_code": "sample string 5"
},
"db_language_id": "5018d473-84df-48eb-b616-92d178b43751",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "8828ab4b-e41c-46d1-8a68-d0ca4955019c",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "0103d71d-0f39-4ed7-be48-601927b29733",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "cce47a21-7d50-4b75-be12-aa989f157d88",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-06-06T23:51:58.6082507+00:00"
},
"company_sector_id": "f6798cd8-e398-4396-8d79-3855a52b0289",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "e44a167d-cacd-411a-91cc-b14b849a1988",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "69ef68c3-33c2-4a94-8c50-151098fec91b",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "57d597e9-1e4e-4b51-8703-d7a8bb777a10",
"account_manager_user_code": "sample string 56",
"company_status_id": "1e9a0c05-e082-4de1-879b-5e0c7418d24e",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-06-06T23:51:58.6082507+00:00",
"id2": 60
},
"db_language_id": "43dbeada-2f9c-40c2-b9fa-3c596cf6db9d",
"db_language_code": "sample string 7",
"db_title_id": "33af47e7-485e-4f9b-ad1d-47552b967ad2",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-06-06T23:51:58.6082507+00:00",
"create_date": "2026-06-06T23:51:58.6082507+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-06-06T23:51:58.6082507+00:00"
}